Support » Plugin: Link/Obfuscate Telephone Numbers » New release broke something

  • Resolved Brad Brown

    (@brad-brown)


    Looks like the new release broke something. Using a test page with only one line:

    Call – [link_obfuscate_telephone tel=”123-456-7890″]

    I’m getting the following:

    ( ! ) Fatal error: Call to undefined method LAOTN::safe_text() in C:\wamp\www\wp-content\plugins\tel-link-obfuscate\includes\class_link_and_obfuscate_telephone_numbers.php on line 166
    Call Stack
    # Time Memory Function Location
    1 0.0000 144096 {main}( ) ..\index.php:0
    2 0.0000 146152 require( ‘C:\wamp\www\wp-blog-header.php’ ) ..\index.php:17
    3 0.3437 14837176 require_once( ‘C:\wamp\www\wp-includes\template-loader.php’ ) ..\wp-blog-header.php:16
    4 0.3593 14935176 include( ‘C:\wamp\www\wp-content\themes\responsivepro\page.php’ ) ..\template-loader.php:74
    5 0.4843 15189904 the_content( ) ..\page.php:40
    6 0.4843 15190328 apply_filters( ) ..\post-template.php:166
    7 0.4843 15176136 call_user_func_array ( ) ..\plugin.php:199
    8 0.4843 15176152 do_shortcode( ) ..\plugin.php:199
    9 0.4843 15176944 preg_replace_callback ( ) ..\shortcodes.php:188
    10 0.4843 15178192 do_shortcode_tag( ) ..\shortcodes.php:188
    11 0.4843 15178528 call_user_func ( ) ..\shortcodes.php:273
    12 0.4843 15178552 LAOTN::action( ) ..\shortcodes.php:273

    I’d link to the page, but it’s on a private internal server and not yet public.

    I’m using WP 3.7, and updated the plugin this morning. The theme is responsive (pro) from CyberChimps.

    http://wordpress.org/plugins/tel-link-obfuscate/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author grandadevans

    (@grandadevans)

    Hi,

    Sorry about this, they always seem to work on my local servers then other have problems with them. I’ve just fixed a few things.

    Could you please upgrade to 1.3.6 (went up about 20 after your post) and see if that solves it?

    That fixed it, thanks for the quick response!

    Plugin Author grandadevans

    (@grandadevans)

    I’ve had errors on it for a while but none of my systems have ever shown them up. I’ve now found one and have fixed more syntax errors etc that haven’t shown up in the front end.

    These should now be fixed in 1.3.7 (just uploaded)

    I installed 1.3.7 and all is good.

    Plugin Author grandadevans

    (@grandadevans)

    Very very good to hear.

    Cheers,
    John

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘New release broke something’ is closed to new replies.